Bug 142376 - noise instead of sound on AverMedia TV 878A PCI card
noise instead of sound on AverMedia TV 878A PCI card
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-12-09 06:18 EST by Paul Osmialowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-10 14:18:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2004-12-09 06:18:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Two days ago I've upgraded my RH9 to FC3. This started terrible horror
with watching TV. The sound has gone. I can only hear noise instead of
it. I've got 878A-based PCI AVerMedia TVCapture 98 card detected as
card=13 tuner=5 pll=1. Also 2.4 kernel from RH9 detected it that way.
I was using this card for years with RH7.3, RH8.0 and RH9. At first I
coulnd't get stereo sound, but after upgrade to RH9 everything was
working perfect. Now I have noise instead of sound from TV channel.
I've tried also xawtv and zapping from Dag Wieers packages page, but I
couldn't get my sound back. I've tried to run kernel with acpi=off
option, but it also didn't help. Searching for the solution over the
net, I've found ftvco script that tries to combine different card
numbers with different tuner numbers on modprobe and it also didn't
help (on some combinations I got no sound at all, even noise).
I've searched through google groups and I've found that there is also
problem with sound on 2.6 kernels with newer AverMedia cards (new cx
chipset), no solution was replied to such posts.

Version-Release number of selected component (if applicable):
tvtime-0.9.15-0.fc3.1 kernel-2.6.9-1.681_FC3

How reproducible:

Steps to Reproduce:
1. Install AverMedia PCI card
2. Run tvtime or any watch-TV application, scan for TV channels
3. Try to watch TV

Actual Results:  Noise instead of sound from TV channel

Expected Results:  sound from TV channel

Additional info:

There wasn't such problem with 2.4 kernels.
XawTV from Dag Wieers packages page
can't get proper audio mode for TV channels. I had this problem years
ago, before I've installed RH9 (which also has XawTV as a part of
distribution) at that times I couldn't get stereo sound. On RH9
everything was working fine. Other TV application seem not to have
audio mode selection. On RH9 sometimes the sound was gone on weakly
broadcasted channels (with low quality image) even when sound was
actually fine. I've posted message about it on RH bugzilla months ago,
finally I've get used to that.
Comment 1 Paul Osmialowski 2004-12-10 14:18:52 EST
Finally problem is solved!
I've put into /etc/modprobe.conf two lines:
options bttv pll=1 automute=0
options tvaudio tda9874a=1 tda9874a_STD=6

Fitst line solves problem mentioned in bug 97139: automute=0 prevents
from sound disappear when signal is weak. The 'pll=1' fixes problem
with lack of colour on composite input (this setting is valid for my
card, check onboard Xtal frequency for proper pll value!).
Second line selects NICAM standard for TDA9874a/h chip which is the
proper value for my card (and 2.6 kernel cannot detect that!!!!)

Note You need to log in before you can comment on or make changes to this bug.